# Retrieve an operator (https://docs.pulsarml.com/v1/api-reference/operators/get-operators-operator_id)

Return one operator by id.

## `GET /v1/operators/{operator_id}`

Base URLs:
- `https://draco.prod.pulsarml.com` — Production
- `https://draco.dev.pulsarml.com` — Development (sandbox)

Authentication: send your API key in the `x-api-key` header.

### Path parameters

- `operator_id` (integer, required) — The operator ID.

### Responses

#### 200 — The operator

Type: object (`GetOperatorByIdResponseV1`)

- `id` (integer, required, e.g. `1`) — The unique identifier for the operator.
- `company` (object, required) — The company associated with the operator.
  - `id` (integer, required, e.g. `1`) — The unique identifier for the company.
  - `name` (string, required, e.g. `"company 1"`) — The name of the company.
- `firstName` (string, required, e.g. `"Pérez"`) — The first name of the operator.
- `lastName` (string, required, nullable, e.g. `"Sánchez"`) — The last name of the operator.

#### 422 — Validation Error

Type: object (`HTTPValidationError`)

- `detail` (array of object, optional)
  - `loc` (array of string | integer, required)
  - `msg` (string, required)
  - `type` (string, required)

### Example request

```bash
curl -X GET 'https://draco.prod.pulsarml.com/v1/operators/<operator_id>' \
  -H 'x-api-key: <YOUR_API_KEY>'
```